MINTPY-SPATIAL_FILTER(1)

NAME
mintpy-spatial_filter - Spatial filtering of 2D image.

DESCRIPTION
usage: spatial_filter.py [-h]

[-f {lowpass_gaussian,highpass_gaussian,lowpass_avg,highpass_avg,sobel,roberts,canny,double_difference}]
    [-p [FILTER_PAR ...]] [-o OUTFILE] file [dset ...]

Spatial filtering of 2D image.

  positional arguments:

file
    File to be filtered

dset
    optional - dataset(s) to filter (default: []).

  options:

-h, --help
    show this help message and exit

-f {lowpass_gaussian,highpass_gaussian,lowpass_avg,highpass_avg,sobel,roberts,canny,double_difference}
    Filter type (default: lowpass_gaussian). Check Bekaert et al. (2020) for double_difference; Check scikit-image as below for the other filters:

    http://scikit-image.org/docs/dev/api/skimage.filters.html

-p [FILTER_PAR ...], --filter_par [FILTER_PAR ...]
    Filter parameters for filters. Default:

Sigma
    for low/high pass gaussian filter, default: 3.0

Kernel Size
    for low/high pass average filter, default: 5

    Kernel Radius for double difference local and regional filters, default: 1 10

-o OUTFILE, --outfile OUTFILE
    Output file name.

  references:

    Bekaert, David PS, et al. "InSAR-based detection method for mapping and monitoring slow-moving landslides in remote regions with steep and mountainous terrain: An application to Nepal." Remote Sensing of Environment 249 (2020), doi:10.1016/j.rse.2020.111983.

  example:

spatial_filter.py
    velocity.h5

spatial_filter.py
    timeseries.h5 -f lowpass_avg -p 5

spatial_filter.py
    velocity.h5 -f lowpass_avg -p 5

spatial_filter.py
    velocity.h5 -f highpass_gaussian -p 3

spatial_filter.py
    velocity.h5 -f sobel

spatial_filter.py
    ifgramStack.h5 unwrapPhase

spatial_filter.py
    ifgramStack.h5 unwrapPhase -f lowpass_avg -p 5

spatial_filter.py
    ifgramStack.h5 unwrapPhase -f double_difference -p 1 10